Market Radar API
API referenceNewsletters

Delete a block

Any block but the header and the footer, from the next issue assembled; an issue already assembled keeps it.

DELETE
/newsletters/{id}/template/blocks/{block_id}

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Path Parameters

id*integer
Range0 < value <= 9007199254740991
block_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/newsletters/1/template/blocks/string"
{  "template": {    "version": 1,    "theme": {      "logo": {        "url": "string",        "width": -9007199254740991,        "height": -9007199254740991,        "name": "string"      },      "colors": {        "brand": "string",        "text": "string",        "background": "string"      },      "fonts": {        "headings": "geist",        "text": "geist"      }    },    "blocks": [      {        "id": "string",        "type": "header",        "title": "string",        "layout": "left",        "show": {          "logo": true,          "title": true,          "issue": true,          "date": true        }      }    ]  },  "template_version": "string"}